New patches for highbank

Bug #1008345 reported by Ike Panhc on 2012-06-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Eilt project
High
Ike Panhc
linux (Ubuntu)
High
Ike Panhc
Precise
High
Ike Panhc
Quantal
High
Ike Panhc

Bug Description

Backport of 3.4 common clock code and the DT clock and highbank support and EDAC support.

Ike Panhc (ikepanhc) wrote :
Ike Panhc (ikepanhc) on 2012-06-04
Changed in eilt:
importance: Undecided → Medium
Ike Panhc (ikepanhc) wrote :

update patchset

Ike Panhc (ikepanhc) on 2012-06-05
description: updated
visibility: private → public
Changed in eilt:
status: New → In Progress
visibility: public → private
visibility: private → public
Changed in linux (Ubuntu):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Changed in eilt:
importance: Medium → High
Changed in linux (Ubuntu):
importance: Undecided → High
Ike Panhc (ikepanhc) on 2012-06-13
Changed in linux (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Ike Panhc (ikepanhc)
Ike Panhc (ikepanhc) wrote :

In merge window for v3.5, several export symbol changed cause build error after rebase onto 3.5-rc2

/home/ikepanhc/build/drivers/clk/clk-highbank.c:296:7: error: too many arguments to function 'clk_register'

/home/ikepanhc/build/drivers/edac/highbank_mc_edac.c:175:5: error: 'struct csrow_info' has no member named 'edac_mode'
/home/ikepanhc/build/drivers/edac/highbank_mc_edac.c:176:5: error: 'struct csrow_info' has no member named 'mtype'
/home/ikepanhc/build/drivers/edac/highbank_mc_edac.c:178:5: error: 'struct csrow_info' has no member named 'nr_pages'
/home/ikepanhc/build/drivers/edac/highbank_mc_edac.c:179:40: error: 'struct csrow_info' has no member named 'nr_pages'
/home/ikepanhc/build/drivers/edac/highbank_mc_edac.c:180:5: error: 'struct csrow_info' has no member named 'grain'
/home/ikepanhc/build/drivers/edac/highbank_mc_edac.c:181:5: error: 'struct csrow_info' has no member named 'dtype'

Ike Panhc (ikepanhc) wrote :

For clk_register, shall modify patch according to this commit

commit 0197b3ea0f66cd2a11417f58fe1812858ea77908
Author: Saravana Kannan <email address hidden>
Date: Wed Apr 25 22:58:56 2012 -0700

    clk: Use a separate struct for holding init data.

    Create a struct clk_init_data to hold all data that needs to be passed from
    the platfrom specific driver to the common clock framework during clock
    registration. Add a pointer to this struct inside clk_hw.

    This has several advantages:
    * Completely hides struct clk from many clock platform drivers and static
      clock initialization code that don't care for static initialization of
      the struct clks.
    * For platforms that want to do complete static initialization, it removed
      the need to directly mess with the struct clk's fields while still
      allowing to statically allocate struct clk. This keeps the code more
      future proof even if they include clk-private.h.
    * Simplifies the generic clk_register() function and allows adding optional
      fields in the future without modifying the function signature.
    * Simplifies the static initialization of clocks on all platforms by
      removing the need for forward delcarations or convoluted macros.

Ike Panhc (ikepanhc) wrote :

for struct csrow_info, this commit is the reference

commit 084a4fccef39ac7abb039511f32380f28d0b67e6
Author: Mauro Carvalho Chehab <email address hidden>
Date: Fri Jan 27 18:38:08 2012 -0300

    edac: move dimm properties to struct dimm_info

    On systems based on chip select rows, all channels need to use memories
    with the same properties, otherwise the memories on channels A and B
    won't be recognized.

    However, such assumption is not true for all types of memory
    controllers.

    Controllers for FB-DIMM's don't have such requirements.

    Also, modern Intel controllers seem to be capable of handling such
    differences.

    So, we need to get rid of storing the DIMM information into a per-csrow
    data, storing it, instead at the right place.

    The first step is to move grain, mtype, dtype and edac_mode to the
    per-dimm struct.

Ike Panhc (ikepanhc) wrote :

One done, one to go

tags: added: patch
Ike Panhc (ikepanhc) wrote :

also need to look into this commit

commit 1c0035d710dd3bfa86d58f851b8737c7f11a9bbc
Author: Shawn Guo <email address hidden>
Date: Thu Apr 12 20:50:18 2012 +0800

    clk: pass parent_rate into .set_rate

    For most of .set_rate implementation, parent_rate will be used, so just
    like passing parent_rate into .recalc_rate, let's pass parent_rate into
    .set_rate too.

    It also updates the kernel doc for .set_rate ops.

tags: added: rls-q-incoming
Ike Panhc (ikepanhc) wrote :

New precise-proposed kernel has the EDAC patches and it works fine with edac-utils

ubuntu@c02:~$ cat /proc/version
Linux version 3.2.0-27-highbank (buildd@ain) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #43-Ubuntu SMP PREEMPT Fri Jul 6 16:48:52 UTC 2012
ubuntu@c02:~$ edac-util -s -v
edac-util: EDAC drivers are loaded. 1 MC detected:
  mc0:fff00000.memory-controller

tags: added: verification-done
tags: removed: rls-q-incoming
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-27.43

---------------
linux (3.2.0-27.43) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * No change upload to fix .ddeb generation in the PPA.

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1020016

linux (3.2.0-27.42) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1020016

  [ Chris J Arges ]

  * PACKAGING: add .gnu_debuglink sections to .ko files
    - LP: #669641

  [ Ike Panhc ]

  * [Config] Updateconfigs
    - LP: #1008345

  [ Luis Henriques ]

  * SAUCE: (upstreamed) [media] ene_ir: Fix driver initialisation
    - LP: #1014800
  * SAUCE: ocfs2: Fix NULL pointer dereferrence in
    __ocfs2_change_file_space
    - LP: #1006012

  [ Rob Herring ]

  * SAUCE: net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * SAUCE: EDAC: Add support for the highbank platform memory
    - LP: #1008345
  * SAUCE: EDAC: add support for highbank platform L2 cache ecc
    - LP: #1008345

  [ Seth Forshee ]

  * (pre-stable): bcma: add ext PA workaround for BCM4331 and BCM43431
    - LP: #925577

  [ Takashi Iwai ]

  * SAUCE: ALSA: hda - Fix power-map regression for HP dv6 & co
    - LP: #1013183

  [ Tim Gardner ]

  * [Config] Enable CONFIG_CGROUPS for highbank
    - LP: #1014692

  [ Upstream Kernel Changes ]

  * Revert "net: maintain namespace isolation between vlan and real device"
    - LP: #1013723
  * x86/amd: Re-enable CPU topology extensions in case BIOS has disabled it
    - LP: #1009087
  * hwmon: (k10temp) Add support for AMD Trinity CPUs
    - LP: #1009086
  * hwmon: (fam15h_power) Increase output resolution
    - LP: #1009086
  * Input: wacom - use BTN_TOOL_FINGER to indicate touch device type
    - LP: #1009435
  * Input: wacom - use switch statement for wacom_tpc_irq()
    - LP: #1009435
  * Input: wacom - isolate input registration
    - LP: #1009435
  * Input: wacom - wireless monitor framework
    - LP: #1009435
  * Input: wacom - create inputs when wireless connect
    - LP: #1009435
  * Input: wacom - wireless battery status
    - LP: #1009435
  * Input: wacom - check for allocation failure in probe()
    - LP: #1009435
  * Input: wacom - add basic Intuos5 support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring/ExpressKey support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring LED support
    - LP: #1009435
  * Input: wacom - add Intuos5 multitouch sensor support
    - LP: #1009435
  * iommu/amd: Add workaround for event log erratum
    - LP: #1013723
  * MIPS: BCM63XX: Add missing include for bcm63xx_gpio.h
    - LP: #1013723
  * cifs: Include backup intent search flags during searches {try #2)
    - LP: #1013723
  * sunrpc: fix loss of task->tk_status after rpc_delay call in
    xprt_alloc_slot
    - LP: #1013723
  * exofs: Fix CRASH on very early IO errors.
    - LP: #1013723
  * cifs: fix oops while traversing open file list (try #4)
    - LP: #1013723
  * Fix dm-multipath starvation when scsi host is busy
    - LP: #1013723
  * ixp4xx: fix compilation by adding gpiolib support
    - LP: #1013723
  * drm/i915: properly handle interlaced bit for sdvo dtd conversion
    - LP: #1013723
...

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-9.9

---------------
linux (3.5.0-9.9) quantal-proposed; urgency=low

  [ Daniel P. Berrange ]

  * SAUCE: (drop after 3.6) Forbid invocation of kexec_load() outside
    initial PID namespace
    - LP: #1034125

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Ike Panhc ]

  * [Config] Enable EDAC/CLK for highbank
    - LP: #1008345

  [ Leann Ogasawara ]

  * Revert "ubuntu: AUFS -- reenable"

  [ Rob Herring ]

  * SAUCE: net: calxedaxgmac: add write barriers around setting owner bit
    - LP: #1008345
  * SAUCE: ARM smp_twd: add back "arm,smp-twd" compatible property
    - LP: #1008345
  * SAUCE: ARM: highbank: add soft power and reset key event handling
    - LP: #1008345
  * SAUCE: ARM: highbank: use writel_relaxed variant for pwr requests
    - LP: #1008345
  * SAUCE: ahci: un-staticize ahci_dev_classify
    - LP: #1008345
  * SAUCE: ahci_platform: add custom hard reset for Calxeda ahci ctrlr
    - LP: #1008345

  [ Upstream Kernel Changes ]

  * rt2x00: Add support for BUFFALO WLI-UC-GNM2 to rt2800usb.
    - LP: #871904
  * Avoid sysfs oops when an rc_dev's raw device is absent
    - LP: #1015836
  * eCryptfs: Copy up POSIX ACL and read-only flags from lower mount
  * clk: add DT clock binding support
    - LP: #1008345
  * clk: add DT fixed-clock binding support
    - LP: #1008345
  * clk: add highbank clock support
  * edac: add support for Calxeda highbank memory controller
    - LP: #1008345
  * edac: add support for Calxeda highbank L2 cache ecc
    - LP: #1008345
  * net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * net: calxedaxgmac: fix hang on rx refill
    - LP: #1008345
  * eCryptfs: Revert to a writethrough cache model
    - LP: #1034012
  * eCryptfs: Initialize empty lower files when opening them
    - LP: #911507
  * eCryptfs: Unlink lower inode when ecryptfs_create() fails
    - LP: #872905
 -- Leann Ogasawara <email address hidden> Wed, 08 Aug 2012 08:39:42 -0700

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released
Chris Van Hoof (vanhoof) on 2012-08-19
Changed in eilt:
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers